repodata not readable in centos 5
Description

yum fails with:

http://yum.theforeman.org/releases/1.0/el5/x86_64/repodata/e9674ebe7cce825f6764827e00cc2fd7aea3dc0

a92eb29e9fc28a18bf1883482-primary.sqlite.bz2: [Errno -3] Error performing checksum

 can you switch to 

createrepo --checksum "sha"

 which will calculate sha1?

History

#1 - 07/30/2012 01:34 PM - Sam Kottler

I can't reproduce this. Can you try running "yum clean all" and then "yum check-update" and see if that fixes the issue. I've seen something like this

before caused by the HTTP caching mechanism in yum (which you can disable in /etc/yum.conf if required).

#2 - 11/19/2012 03:23 PM - Siert Z.

- File log.txt added

Indeed, this could be related to yum caches as Sam pointed.

On a clean host I can't reproduce the error. I just bootstrapped a clean EL5 (x86_64) machine and installed the foreman, puppetlabs and EPEL yum

repo's:

rpm -ivh http://yum.theforeman.org/releases/1.0/el5/foreman-release.rpm

rpm -ivh http://yum.puppetlabs.com/el/5Server/products/x86_64/puppetlabs-release-5-6.noarch.rpm

rpm -ivh http://mirror.i3d.net/pub/fedora-epel/5/i386/epel-release-5-4.noarch.rpm

 Then yum installed foreman without having any issues (see log).

IMO this call can be closed, unless the reporter is still facing the issue and willing to send more output/details.

#3 - 11/19/2012 03:23 PM - Siert Z.

Siert Z. wrote:

Indeed, this could be related to yum caches as Sam pointed.

On a clean host I can't reproduce the error. I just bootstrapped a clean EL5 (x86_64) machine and installed the foreman, puppetlabs and EPEL

yum repo's:

[...]

Then yum installed foreman without having any issues (see log).

IMO this issue can be closed, unless the reporter is still facing the issue and willing to send more output/details.
#4 - 11/19/2012 03:25 PM - konrad rzentarzewski

since that time we've migrated to local repository, where we generate indices ourselves. so, unfortunately, i can't replicate it anymore.

#5 - 01/02/2013 09:04 AM - Sam Kottler

- Status changed from New to Feedback

The repodata for 1.1RC3 and later is generated using --checksum sha, but I'm going to move this to feedback until the new packages and associated

repodata are in the stable repo.

#6 - 07/03/2013 09:23 AM - Dominic Cleal

- Status changed from Feedback to Closed

Files

log.txt 2.72 KB 11/19/2012 Siert Z.
